const buffer = new AudioBuffer({
  length: 10000,
sampleRate: 8000});
const dataBuffer = [];
for(let i=0; i<10000;i++) {
	dataBuffer[i] = 2*Math.random()-1;
}
buffer.copyToChannel(new Float32Array(dataBuffer), 0,0);
const canvas = document.getElementById('vizCanvas')
const context = canvas.getContext('2d');
const width = canvas.clientWidth;
const height = canvas.clientHeight;
const sliceWidth = width / buffer.length;
let x = 0;
for (let i =0;i<buffer.length;i++){
	const value = dataBuffer[i];
  console.log(value);
  const y = (value * height)/2
  if (i===0){
    context.moveTo(x, y);
  }else {
    context.lineTo(x,y)
  }
  x += sliceWidth;
}
context.lineTo(width, height/2);
context.stroke()